/****** Object:  View [dbo].[viewEngagementbogenSeite2]    Script Date: 23.07.2019 11:07:13 ******/
DROP VIEW [dbo].[viewEngagementbogenSeite2]
GO
/****** Object:  View [dbo].[viewEngagementbogenSeite2]    Script Date: 23.07.2019 11:07:13 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[viewEngagementbogenSeite2]
AS
SELECT        TOP (100) PERCENT T.KNEID, KN.KNID, KN.KN, T.RNR, dbo.tabKN_Risiko.RGrund, KN.kn_name, KN.kn_berater, CASE WHEN GBR_Quote IS NOT NULL THEN CAST(gbr_quote AS nvarchar(10)) ELSE 'n. b.' END AS GBRQuote, 
                         KN.kn_rating_note, KN.kn_rating_methode, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_rueckgabenanzahl, ISNULL(KN.kn_rueckgabenbetrag, 0) AS kn_rueckgabenbetrag, KN.kn_bew_rahmen_le, 
                         ISNULL(KN.Kn_Guthaben, 0) AS kn_Guthaben, KN.kn_rating_datum, T.KNE_Name, KN.kn_gesamtkreditvolumen, KN.kn_ort, T.SPID
FROM            dbo.tabKreditnehmer AS KN INNER JOIN
                         dbo.tabKN_Risiko ON KN.KNID = dbo.tabKN_Risiko.KNID RIGHT OUTER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_Risiko.SPID = T.SPID AND dbo.tabKN_Risiko.RNR = T.RNR
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name



GO

ALTER PROCEDURE [dbo].[spAuswahl] 
    @InstNR nvarchar(3),
    @BDate datetime,
	@SPID int
AS
BEGIN
	SET NOCOUNT ON;
-- Insert statements for procedure here
SELECT        K.KNEID, K.KNE, K.KNE_Name, K.kne_berater, K.kne_gesamtkreditvolumen, K.kne_Inanspruchnahme, K.kne_blankokreditvolumen_in, 
                         K.kne_Personalkreditvolumen_in, K.kne_Realkreditvolumen_in, K.kne_Kommunalkreditvolumen_in, K.kne_Kreditueberschreitung, 
						 K.Bdate, K.kne_Risikoklasse, K.KNE_GEWICHTETE_BONITAET
FROM            tabKreditnehmereinheit AS K INNER JOIN
                         dbo._tmpKNEAusgewaehltProSPID(@BDate,@Instnr,@SPID) AS T ON K.KNEID = T.KNEID 
       ORDER BY K.kne_gesamtkreditvolumen DESC;
END
GO

CREATE FUNCTION [dbo].getGewichteteBonitaet
(
	-- Add the parameters for the function here
	@KNEID nvarchar(24)
)
RETURNS nvarchar(255)
AS
BEGIN
return (Select KNE_GEWICHTETE_BONITAET from tabKreditnehmereinheit  where KNEID = @KNEID)
END
GO

/****** Object:  View [dbo].[viewEngagementbogenSeite2]    Script Date: 12.08.2019 11:52:37 ******/
DROP VIEW [dbo].[viewEngagementbogenSeite2]
GO
/****** Object:  View [dbo].[viewEngagementbogenSeite2]    Script Date: 12.08.2019 11:52:37 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[viewEngagementbogenSeite2]
AS
SELECT        TOP (100) PERCENT T.KNEID, KN.KNID, KN.KN, T.RNR, dbo.tabKN_Risiko.RGrund, KN.kn_name, KN.kn_berater, CASE WHEN GBR_Quote IS NOT NULL THEN CAST(gbr_quote AS nvarchar(10)) ELSE 'n. b.' END AS GBRQuote, 
                         KN.kn_rating_note, KN.kn_rating_methode, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_rueckgabenanzahl, ISNULL(KN.kn_rueckgabenbetrag, 0) AS kn_rueckgabenbetrag, KN.kn_bew_rahmen_le, 
                         ISNULL(KN.Kn_Guthaben, 0) AS kn_Guthaben, KN.kn_rating_datum, T.KNE_Name, KN.kn_gesamtkreditvolumen, KN.kn_ort, T.SPID, dbo.getGewichteteBonitaet(T.KNEID) AS GewichteteBonitaet
FROM            dbo.tabKreditnehmer AS KN INNER JOIN
                         dbo.tabKN_Risiko ON KN.KNID = dbo.tabKN_Risiko.KNID RIGHT OUTER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_Risiko.SPID = T.SPID AND dbo.tabKN_Risiko.RNR = T.RNR
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name
GO

DROP VIEW [dbo].[viewEngagementbogenSeite2Sammel]
GO
/****** Object:  View [dbo].[viewEngagementbogenSeite2Sammel]    Script Date: 12.08.2019 11:54:01 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE VIEW [dbo].[viewEngagementbogenSeite2Sammel]
AS
SELECT        TOP (100) PERCENT T.KNEID, KN.KNID, KN.KN, T.RNR, dbo.tabKN_RisikoSammel.RGrund, KN.kn_name, KN.kn_berater, CASE WHEN GBR_Quote IS NOT NULL THEN CAST(gbr_quote AS nvarchar(10)) 
                         ELSE 'n. b.' END AS GBRQuote, KN.kn_rating_note, KN.kn_rating_methode, KN.kn_rating_ueberschreibung, KN.kn_bonitaet, KN.kn_risikoklasse, KN.kn_rueckgabenanzahl, ISNULL(KN.kn_rueckgabenbetrag, 0) 
                         AS kn_rueckgabenbetrag, KN.kn_bew_rahmen_le, ISNULL(KN.Kn_Guthaben, 0) AS kn_Guthaben, KN.kn_rating_datum, T.KNE_Name, KN.kn_gesamtkreditvolumen, KN.kn_ort, T.SPID, dbo.getGewichteteBonitaet(T.KNEID) 
                         AS gewichteteBonitaet
FROM            dbo.tabKreditnehmer AS KN INNER JOIN
                         dbo.tabKN_RisikoSammel ON KN.KNID = dbo.tabKN_RisikoSammel.KNID RIGHT OUTER JOIN
                         dbo._tmpRisikoeinheit AS T ON dbo.tabKN_RisikoSammel.SPID = T.SPID AND dbo.tabKN_RisikoSammel.RNR = T.RNR
ORDER BY KN.kn_gesamtkreditvolumen DESC, KN.kn_name
GO

Update _tabVersion set DBVersion = '7.82', DBDate = '23.08.2019'
GO